import { StyleSheet } from "react-native";

const colorScheme = {
  background: "#273043",
  postBox: "#9197AE",
  postFont: "#EFF6EE",
  accept: "#4D8B31",
  error: "#F02D3A",
};

export const style = StyleSheet.create({
  app: {
    flex: 1,
    backgroundColor: colorScheme.background, // For the "entire" app
    alignItems: "center",
    justifyContent: "center",
    margin: 0,
  },
  postsContainer: {
    margin: 0,
    height: "100%",
    width: "100%",
    padding: 5,
    paddingBottom: 10,
    justifyContent: "flex-start",
    backgroundColor: colorScheme.background, // For the container holding the posts
  },
  postView: {
    borderRadius: 6,
    flexDirection: "row",
    backgroundColor: colorScheme.postBox,
    margin: 5,
    padding: 15,
  },
  postFont: {
    color: colorScheme.postFont,
  },
  header: {
    backgroundColor: colorScheme.background,
  },
  headerTitle: {
    fontSize: 20,
    fontWeight: "bold",
    color: colorScheme.postFont,
  },
  newPostContainer: {
    backgroundColor: colorScheme.background,
    margin: 0,
    padding: 0,
    width: "100%",
    height: "100%",
    alignItems: "center",
    justifyContent: "flex-start",
  },
  newPostInput: {
    backgroundColor: colorScheme.postBox,
    borderRadius: 6,
    margin  : 10,
    width: "90%",
    minHeight: "50%",
    textAlignVertical: "top",
    padding: 15,
    color: colorScheme.postFont,
  },
  errorText: {
    color: colorScheme.error,
  },
  navButton: {
    // backgroundColor: colorScheme.background,
    color: colorScheme.accept
  },
});
